/*                   Listing 2
         Windows vertical button class for C++
          by Norman L. Hills & Davin S. Hills
    Copyright (c) 1992 Hills Object Technology, Inc.
                 All Rights Reserved
*/
// ---------------------------------------------------
//          VButton Class
// ---------------------------------------------------

class VButton   {

private:
         LPSTR   lpText, ampindex;
         char    tstr[80];
         char    winstr[3];
         HWND    curwnd, hwnde;
         HINSTANCE  hInst;
         BOOL    state;
         int     ilen, olen, wd, ht, charht, charwd;
         int     hfoc, vfoc, WinX, WinY;
         RECT    wrect;
         static  WNDPROC lpfnOldVertProc;

       void DoVText(HDC,LPRECT);
       int  SetupButton(LPSTR,BOOL);
public:
    VButton(HWND,HINSTANCE,int,LPSTR,int,int,int,int);
    virtual LRESULT cc_DoVertProc(HWND,UINT,WPARAM,LPARAM);
    void  Start(void);
    LPSTR GetLabel(void);
    void  SetLabel(LPSTR, BOOL = TRUE);
    void  Focus(void);
          ~VButton();
};

typedef VButton *CCVPTR;

